Bug 1421365 - Cannot resume from blank screen, have to suspend and resume to get back the screen
Summary: Cannot resume from blank screen, have to suspend and resume to get back the s...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 27
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-11 15:37 UTC by Matteo Brancaleoni
Modified: 2018-11-30 18:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:40:12 UTC
Type: Bug


Attachments (Terms of Use)

Description Matteo Brancaleoni 2017-02-11 15:37:06 UTC
Description of problem:

On my laptop, skylake and i915 with an optimus setup, but nouveau not in use, when the screen blanks (and lock screen kicks in) I cannot turn it on again.
I see that backlight goes on (because it goes from full black to black+light) but the lock screen does not appears.
I can not even switch to a virtual console.
The only thing that makes it work again is to suspend the laptop by closing the lid and resume by opening it.
Doing that, the lock screen appears and I can use it again.

Version-Release number of selected component (if applicable):
Fully updated FC25

How reproducible:
Always

Steps to Reproduce:
1. set a blank screen timeout
2. wait for the screen to go idle
3. press any key to resume

Actual results:
Backlit starts but nothing appears


Expected results:
Lock screen should appear


Additional info:
Using Wayland. 
In the past everything was working ok and some update introduced the issue.

Comment 1 Matteo Brancaleoni 2017-02-11 15:53:14 UTC
If using gnome on Xorg instead of Wayland, It happens but I can recover in the following way:

* when blank, press esc (blindly)
* enter lock screen password (blindly)
* press ctrl+alt+f1 and then ctrl+alt+f2 (blindly)
* voilà, my session is still there.

with Wayland this sequence brings to nothing.

Comment 2 Matteo Brancaleoni 2017-02-11 16:12:31 UTC
Other test which works only on Xorg: 

no need to enter blindly the password, just:

* press esc (backlight turns on)
* press ctrl+alt+f1 and then ctrl+alt+f2
* lock screen appears and I'm able to log in

Comment 3 Fedora End Of Life 2017-11-16 18:50:11 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Ben Cotton 2018-11-27 17:53:34 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 18:40:12 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.